Subject: Re: [PATCH v3] sha1_file: pass empty buffer to index empty file

From: Junio C Hamano <[email-masked]>
Date: Tue, 19 May 2015 12:48:21 -0700

Junio C Hamano <[email-masked]> writes:

> Yuck; please discard the previous one.  write_in_full() side is also
> writing into that process, so we should do the same.

OK, without these two, and with the "true" filter that does not read
anything reinstated in the test script, t0021 used to die

    i=0; while sh t0021-conversion.sh; do i=$(( $i + 1 )); done

after 150 iteration or so for me.  With these two, it seems to go on
without breaking (I bored after 1000 iterations), so I'd declare it
good enough ;-)